1

It seems to be that the drivers are installed for BCM43142 on my laptop:

lspci -k
02:00.0 Network controller: Broadcom Corporation BCM43142 802.11b/g/n (rev 01)
        Subsystem: Dell Wireless 1704 802.11n + BT 4.0
        Kernel driver in use: bcma-pci-bridge
        kernel modules: bcma

However, there seems to be no wireless interface associated with this device:

ip link

doesn't output any information for a wireless device. I've looked at the Archlinux docs and it doesn't say how to attach an interface (i.e. wlan0) to the wireless device. Any idea how I would go about correcting this issue?

dmesg| grep bcma

enter image description here

Update : I am getting the following dmesg output

[   11.069453] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[   11.561403] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[   12.718246] r8169 0000:01:00.0 enp1s0: link up
[   12.718274] IPv6: ADDRCONF(NETDEV_CHANGE): enp1s0: link becomes ready
[   15.017434] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[   38.022260] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[   71.026835] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  114.025121] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  148.297435] ERROR @wl_dev_intvar_get : error (-1)
[  148.297440] ERROR @wl_cfg80211_get_tx_power : error (-1)
[  167.028256] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  230.049349] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  293.054357] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  356.117637] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  356.125132] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  419.109201] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  482.052441] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  545.067170] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  550.596770] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  608.087644] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  671.100683] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  671.108110] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  674.041554] ERROR @wl_dev_intvar_get : error (-1)
[  674.041564] ERROR @wl_cfg80211_get_tx_power : error (-1)
[  734.132416] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  797.080622] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  860.126435] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  923.084072] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  986.177109] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[  986.184353] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1011.528205] ERROR @wl_dev_intvar_get : error (-1)
[ 1011.528216] ERROR @wl_cfg80211_get_tx_power : error (-1)
[ 1049.095516] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1112.124821] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1175.102042] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1238.133483] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1301.125476] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1364.117876] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1427.121597] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1490.152334] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[ 1553.171802] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)

Update2:

lspci -k

02:00.0 Network controller: Broadcom Corporation BCM43142 802.11b/g/n (rev 01)
    Subsystem: Dell Wireless 1704 802.11n + BT 4.0
    Kernel driver in use: wl
    Kernel modules: bcma, wl

sudo iwlist scan

wlp2s0    Interface doesn't support scanning : Invalid argument

ifconfig

wlp2s0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether 76:24:fe:f7:5e:ce  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 17  
  • Does iwconfig show anything useful? – Stephen Harris Aug 24 '16 at 22:00
  • It just shows: enp1s0: no wireless extensions lo: no wireless extensions – dylan7 Aug 24 '16 at 22:01
2

Install the broadcom-wl-dkms package.

You can Install it from AUR using yaourt:

yaourt -S  broadcom-wl-dkms

Unload conflicting modules.

rmmod b43
rmmod ssb
rmmod bcma

Load the wl module:

modprobe -r wl
modprobe wl
  • So I ran into another problem. I did research a lot before I canme back here, but still no go. I am getting the following dmesg output posted in the original question. – dylan7 Aug 30 '16 at 18:42
  • After upgrading kernel re-install the driver , if dosn't work run depmod -a and blacklist conflicting driver in /etc/modprobe.d/modprobe.conf – GAD3R Aug 30 '16 at 20:30

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.